Subject: cookie 'problem' in extensions.c

From: Pierre Belanger <[email-masked]>
Date: Mon, 28 Apr 1997 15:55:28 -0400 (EDT)

Hi there,

I found a small problem (aka very tiny bug!) in extensions.c when using
two cookies %E on the same line, like this:

 %E          ** %E

it prints (on the left side is french, that's not the bug ;) ...

****
Pour de plus amples informations ** For more informations, contact us via 
contactez nous par courrier a    ** via the following electronic mail
l'adresse suivante:              ** address:
                                 **
 [email-masked]            **  ddress:
****

I found one way to fix this problem:

In file extensions.c in msg_massage() add entry = NULL; at line number 285

            }
            while (*outptr)
                outptr++;
            entry = NULL;
        }

   This is to make sure that the 'entry' var. will be set to NULL if 
   getaclentry("email", &entry) is called twice within -1- line aka
   two %E cookie on the same line.

   You could always add the entry=NULL on line 211 right after calling 
   getaclentry.

If you follow up on this mail please email me a copy to 
[email-masked] since I don't always have the time
to read all messages in this list.

thank you,
Pierre Belanger - RISQ